PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
cy_nnlite_memio_dma_t Struct Reference

## Data Fields
uint32_t | WEIGHTSTREAMERBASEADDR
uint32_t | WEIGHTSTREAMEROFFSET
uint32_t | WEIGHTSTREAMERKERNELCHANNELTIMESHEIGHTTIMESWIDTH
uint32_t | ACTIVATIONSTREAMERBASEADDR
uint32_t | ACTIVATIONSTREAMEROFFSET
uint32_t | ACTIVATIONSTREAMERKERNELCHANNELTIMESWIDTH
uint32_t | ACTIVATIONSTREAMERKERNELHEIGHT
uint32_t | ACTIVATIONSTREAMERREPEATS
uint32_t | ACTIVATIONSTREAMERSTARTCOL
uint32_t | ACTIVATIONSTREAMERSTARTROW
uint32_t | ACTIVATIONSTREAMERCHANNELTIMESWIDTH
uint32_t | ACTIVATIONSTREAMERHEIGHT
uint32_t | ACTIVATIONSTREAMERPADDING
uint32_t | ACTIVATIONSTREAMERSPARSITYMAPBASEADDR
uint32_t | OUTSTREAMERBASEADDR
uint32_t | OUTSTREAMEROUTPUTOFFSET
uint32_t | OUTSTREAMERSCALINGFACTOR
uint32_t | OUTSTREAMERCLIPPINGMASK
uint32_t | BIASBASEADDR
uint32_t | STREAMERMODES
uint32_t | NONZEROWEIGHTSPOINTER
uint32_t | OUTPUTWIDTH
uint32_t | OUTPUTHEIGHT
uint32_t | STRIDE
uint32_t | INTERPOLATIONLUTADDR0
uint32_t | INTERPOLATIONLUTWDATA0
uint32_t | INTERPOLATIONLUTADDR1
uint32_t | INTERPOLATIONLUTWDATA1
uint32_t | NNLAYER_ACTIVATION_TYPE_CTL
uint32_t | INTR
uint32_t | INTR_SET
uint32_t | INTR_MASK
uint32_t | TRIG_MASK
uint32_t | CMD

## Field Documentation

## ◆ WEIGHTSTREAMERBASEADDR

uint32_t cy_nnlite_memio_dma_t::WEIGHTSTREAMERBASEADDR

## ◆ WEIGHTSTREAMEROFFSET

uint32_t cy_nnlite_memio_dma_t::WEIGHTSTREAMEROFFSET

## ◆ WEIGHTSTREAMERKERNELCHANNELTIMESHEIGHTTIMESWIDTH

uint32_t cy_nnlite_memio_dma_t::WEIGHTSTREAMERKERNELCHANNELTIMESHEIGHTTIMESWIDTH

## ◆ ACTIVATIONSTREAMERBASEADDR

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERBASEADDR

## ◆ ACTIVATIONSTREAMEROFFSET

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMEROFFSET

## ◆ ACTIVATIONSTREAMERKERNELCHANNELTIMESWIDTH

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERKERNELCHANNELTIMESWIDTH

## ◆ ACTIVATIONSTREAMERKERNELHEIGHT

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERKERNELHEIGHT

## ◆ ACTIVATIONSTREAMERREPEATS

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERREPEATS

## ◆ ACTIVATIONSTREAMERSTARTCOL

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERSTARTCOL

## ◆ ACTIVATIONSTREAMERSTARTROW

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERSTARTROW

## ◆ ACTIVATIONSTREAMERCHANNELTIMESWIDTH

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERCHANNELTIMESWIDTH

## ◆ ACTIVATIONSTREAMERHEIGHT

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERHEIGHT

## ◆ ACTIVATIONSTREAMERPADDING

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERPADDING

## ◆ ACTIVATIONSTREAMERSPARSITYMAPBASEADDR

uint32_t cy_nnlite_memio_dma_t::ACTIVATIONSTREAMERSPARSITYMAPBASEADDR

## ◆ OUTSTREAMERBASEADDR

uint32_t cy_nnlite_memio_dma_t::OUTSTREAMERBASEADDR

## ◆ OUTSTREAMEROUTPUTOFFSET

uint32_t cy_nnlite_memio_dma_t::OUTSTREAMEROUTPUTOFFSET

## ◆ OUTSTREAMERSCALINGFACTOR

uint32_t cy_nnlite_memio_dma_t::OUTSTREAMERSCALINGFACTOR

## ◆ OUTSTREAMERCLIPPINGMASK

uint32_t cy_nnlite_memio_dma_t::OUTSTREAMERCLIPPINGMASK

## ◆ BIASBASEADDR

uint32_t cy_nnlite_memio_dma_t::BIASBASEADDR

## ◆ STREAMERMODES

uint32_t cy_nnlite_memio_dma_t::STREAMERMODES

## ◆ NONZEROWEIGHTSPOINTER

uint32_t cy_nnlite_memio_dma_t::NONZEROWEIGHTSPOINTER

## ◆ OUTPUTWIDTH

uint32_t cy_nnlite_memio_dma_t::OUTPUTWIDTH

## ◆ OUTPUTHEIGHT

uint32_t cy_nnlite_memio_dma_t::OUTPUTHEIGHT

## ◆ STRIDE

uint32_t cy_nnlite_memio_dma_t::STRIDE

## ◆ INTERPOLATIONLUTADDR0

uint32_t cy_nnlite_memio_dma_t::INTERPOLATIONLUTADDR0

## ◆ INTERPOLATIONLUTWDATA0

uint32_t cy_nnlite_memio_dma_t::INTERPOLATIONLUTWDATA0

## ◆ INTERPOLATIONLUTADDR1

uint32_t cy_nnlite_memio_dma_t::INTERPOLATIONLUTADDR1

## ◆ INTERPOLATIONLUTWDATA1

uint32_t cy_nnlite_memio_dma_t::INTERPOLATIONLUTWDATA1

## ◆ NNLAYER_ACTIVATION_TYPE_CTL

uint32_t cy_nnlite_memio_dma_t::NNLAYER_ACTIVATION_TYPE_CTL

## ◆ INTR

uint32_t cy_nnlite_memio_dma_t::INTR

## ◆ INTR_SET

uint32_t cy_nnlite_memio_dma_t::INTR_SET

## ◆ INTR_MASK

uint32_t cy_nnlite_memio_dma_t::INTR_MASK

## ◆ TRIG_MASK

uint32_t cy_nnlite_memio_dma_t::TRIG_MASK

## ◆ CMD

uint32_t cy_nnlite_memio_dma_t::CMD